package com.union.ai.api.dao.model;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
public class Api implements Serializable {
    /** 编号 */
    private Integer apiId;

    /** 接口名称 */
    private String apiName;

    /** 请求地址 */
    private String url;

    /**  */
    private Integer apiTypeId;

    /** 调用量限制 */
    private String callLimit;

    /** QPS限制 */
    private String qpsLimit;

    /** 状态 0=免费使用 1=付费开通 2=测试使用 3=VIP使用 */
    private Integer status;

    /** 描述 */
    private String description;

    /** 描述 */
    private String extJson;

    private static final long serialVersionUID = 1L;

    public Integer getApiId() {
        return apiId;
    }

    public void setApiId(Integer apiId) {
        this.apiId = apiId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName == null ? null : apiName.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public Integer getApiTypeId() {
        return apiTypeId;
    }

    public void setApiTypeId(Integer apiTypeId) {
        this.apiTypeId = apiTypeId;
    }

    public String getCallLimit() {
        return callLimit;
    }

    public void setCallLimit(String callLimit) {
        this.callLimit = callLimit == null ? null : callLimit.trim();
    }

    public String getQpsLimit() {
        return qpsLimit;
    }

    public void setQpsLimit(String qpsLimit) {
        this.qpsLimit = qpsLimit == null ? null : qpsLimit.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getExtJson() {
        return extJson;
    }

    public void setExtJson(String extJson) {
        this.extJson = extJson;
    }
}